<div ng-controller="FileClientCtrl">
	<div class="page page-dashboard">
    <div class="pageheader">
      <div class="page-bar">
        <ul class="page-breadcrumb">
          <li>
            <a ui-sref="home.dashboard"><i class="fa fa-home"></i> Home</a>
          </li>
          <li>
            <!-- <a ui-sref="home.lista_semana">Semanas</a> -->
            <a>Administración de Archivos</a>
          </li>
        </ul>
      </div>
    </div>
    <div class="card-container">
      <div class="panel panel-success">
        <div class="panel-heading">
            <h3 class="panel-title"><i class="fa fa-files-o"></i> Detalle de Archivos : <strong>{{usuario.nick | uppercase}}</strong></h3>
        </div>
        <div class="panel-body">
          <div ng-show="flag">
            <div class="row">
                    <div class="col-md-4">
                        <a class="btn btn-xs btn-primary btn-rounded-10" ui-sref="home.container.cliente"><i class="fa fa-arrow-left"></i>  Regresar</a>
                    </div>
                </div>
                <hr>
<!--               <div class="row">
                  <div class="col-md-4">
                      <label>Año</label>
                      <select class="form-control" ng-model="data.anio" ng-change="listSemana(data.anio)" ng-options="an.id as an.anio for an in anios">
                          <option value="">-- Año --</option>
                      </select>
                  </div>
                  <div class="col-md-4">
                      <label>Semana</label>
                      <select class="form-control" ng-disabled="!data.anio" ng-model="id_semana" ng-change="changeSemana(id_semana)" ng-options="sem.id as sem.nombre for sem in semanas">
                          <option value="">-- Semana --</option>
                      </select>
                  </div>
              </div>
              <br> -->
              <!-- facturas -->
              <div class="row">
                <div class="col-md-12">
                  <legend class="mt-5">
                    <i class="fa fa-recycle"></i> Facturas
                  </legend>
                </div>
              </div>
              
              <div class="row">
                  <div class="col-md-12" ng-show="files.facturas.length != 0">
                      <div class="table-responsive mt-5">
                          <table class="table table-hover table-bordered">
                              <thead>
                                  <tr>
                                      <th><small>#</small></th>
                                      <th><small>Nombre del archivo</small></th>
                                      <th><small>Cliente</small></th>
                                      <th width="350px" class="text-center"><small>Operaciones</small></th>
                                  </tr>
                              </thead>
                              <tbody>
                                  <tr dir-paginate="fac in files.facturas |filter: buscar | itemsPerPage: 5" pagination-id="fac.id">
                                      <td style="vertical-align:middle; white-space: nowrap;"><small>{{$index + 1 }}</small></td>
                                      <td style="vertical-align:middle; white-space: nowrap;"><small>{{fac.nombre}}</small></td>
                                      <td style="vertical-align:middle; white-space: nowrap;"><small>{{fac.cliente}}</small></td>
                                      <td style="vertical-align:middle; white-space: nowrap;" class="text-center">
                                          <button type="button" class="btn btn-default btn-border btn-rounded-20 mb-10" ng-click="download(fac,3,'factura')">Descargar <i class="fa fa-download"></i></button>
                                          <button type="button" class="btn btn-default btn-border btn-rounded-20 mb-10"  ng-click="openModalPreview($event,fac,1)"  data-options="splash-2 splash-ef-14" >Visualizar <i class="fa fa-desktop"></i></button>
                                      </td>
                                  </tr>
                              </tbody>
                          </table>
                      </div>
                      <div class="pull-right">
                          <small><dir-pagination-controls pagination-id="fac.id"></dir-pagination-controls></small>
                      </div>
                  </div>
                  <div class="col-md-12" ng-show="files.facturas.length == 0">
                      <p class="text-center">
                          <i class="fa fa-inbox fa-4x"></i>
                          <h4 class="text-center">aún no se han registrado Facturas...</h4> 
                      </p>
                  </div>
              </div>
              <br>
              <!-- packings -->
              <legend class="mt-5"><i class="fa fa-recycle"></i> Pakings</legend>
              <div class="row">
                  <div class="col-md-12">
                      <button class="btn btn-success btn-rounded-10 btn-border" ng-if="permisosHas('packings.registrar')" ng-click="upload(4,false)"  data-options="splash-2 splash-ef-14"><i class="fa fa-file-excel-o"></i> agregar archivos</button>
                  </div>
              </div>
              <div class="row">
                  <div class="col-md-12" ng-show='files.packings.length != 0'>
                      <div class="table-responsive mt-5">
                          <table class="table table-bordered table-hover">
                              <thead>
                                  <tr>
                                      <th><small>#</small></th>
                                      <th><small>Nombre del archivo</small></th>
                                      <th><small>Cliente</small></th>
                                      <th><small>Fecha de subida</small></th>
                                      <th><small>Hora de subida</small></th>
                                      <th><small>Operaciones</small></th>
                                  </tr>
                              </thead>
                              <tbody>
                                  <tr dir-paginate="pack in files.packings |filter: buscar | itemsPerPage: 4" pagination-id="pack.id">
                                      <td style="vertical-align:middle; white-space: nowrap;"><small>{{$index + 1}}</small></td>
                                      <td style="vertical-align:middle; white-space: nowrap;"><small>{{pack.nombre}}</small></td>
                                      <td style="vertical-align:middle; white-space: nowrap;"><small>{{pack.cliente}}</small></td>
                                      <td style="vertical-align:middle; white-space: nowrap;"><small>{{pack.fecha}}</small></td>
                                      <td style="vertical-align:middle; white-space: nowrap;"><small>{{pack.hora}}</small></td>
                                      <td style="vertical-align:middle; white-space: nowrap;">
                                        <button ng-if="pack.estado_archivo === 'Tramitado'" ng-click="sendEmail(pack,4)" class="btn btn-info btn-border btn-rounded-20"><i class="fa fa-paper-plane"></i> Send to Email</button>
                                          <button type="button" class="btn btn-default btn-border btn-rounded-20" ng-click="download(pack,2,'packing')">Descargar <i class="fa fa-download"></i></button>
                                         <button type="button" class="btn btn-default btn-border btn-rounded-20"  ng-click="openLink(pack)">Visualizar <i class="fa fa-desktop"></i></button>
                                          <button type="button" class="btn btn-default btn-border btn-rounded-20" ng-if="permisosHas('packings.registrar')" ng-click="openModalDelete($event,pack,4)"  data-options="splash-2 splash-ef-14">Eliminar <i class="fa fa-trash-o"></i></button>
                                      </td>
                                  </tr>
                              </tbody>
                          </table>
                      </div>
                      <div class="pull-right">
                          <small><dir-pagination-controls pagination-id="pack.id"></dir-pagination-controls></small>
                      </div>
                  </div>
                  <div class="col-md-12" ng-show="files.packings.length == 0">
                      <p class="text-center">
                          <i class="fa fa-inbox fa-4x"></i>
                          <h4 class="text-center">aún no se han registrado packings para este contenedor...</h4> 
                      </p>
                  </div>    
              </div>
              <br>
              <!-- certificados -->
              <legend class="mt-5"><i class="fa fa-recycle"></i> Certificados</legend>
              <div class="row">
                  <div class="col-md-12" ng-show="files.certificados.length != 0">
                      <div class="table-responsive mt-5">
                          <table class="table table-bordered">
                              <thead>
                                  <tr>
                                      <th><small>#</small></th>
                                      <th><small>Nombre del archivo</small></th>
                                      <th><small>Cliente</small></th>
                                      <th><small>Descripción</small></th>
                                      <th><small>Fecha de subida</small></th>
                                      <th><small>Hora de subida</small></th>
                                      <th colspan="2"><small>Contenedores</small></th>
                                      <th class="text-center"><small>Operaciones</small></th>
                                  </tr>
                              </thead>
                              <tbody dir-paginate="cer in files.certificados |filter: buscar | itemsPerPage: 4" pagination-id="cer.id">
                                  <tr>
                                      <td style="vertical-align:middle; white-space: nowrap;" rowspan="{{cer.contenedores.length+1}}"><small>{{$index + 1 }}</small></td>
                                      <td style="vertical-align:middle; white-space: nowrap;" rowspan="{{cer.contenedores.length+1}}"><small>{{cer.nombre}}</small></td>
                                      <td style="vertical-align:middle; white-space: nowrap;" rowspan="{{cer.contenedores.length+1}}"><small>{{cer.cliente}}</small></td>
                                      <td style="vertical-align:middle;" rowspan="{{cer.contenedores.length+1}}"><small>
                                        {{cer.descripcion}}
                                      </small></td>
                                      <td rowspan="{{cer.contenedores.length+1}}" style="vertical-align:middle; white-space: nowrap;"><small>{{cer.fecha}}</small></td>
                                      <td rowspan="{{cer.contenedores.length+1}}" style="vertical-align:middle; white-space: nowrap;"><small>{{cer.hora}}</small></td>
                                      <td style="background:#F2F2F2"><small>Número</small></td>
                                      <td style="background:#F2F2F2"><small>Referencia</small></td>
                                      <td class="text-center" style="vertical-align:middle; white-space: nowrap;" rowspan="{{cer.contenedores.length+1}}">
                                        <button ng-if="cer.estado_archivo === 'Tramitado'" ng-click="sendEmail(cer,2)" class="btn btn-info btn-border btn-rounded-20"><i class="fa fa-paper-plane"></i> Send to Email</button>
                                          <button type="button" class="btn btn-default btn-border btn-rounded-20" ng-click="download(cer,3,'certificado')">Descargar <i class="fa fa-download"></i></button>
                                          <button type="button" class="btn btn-default btn-border btn-rounded-20" ng-click="openModalPreview($event,cer,2)"  data-options="splash-2 splash-ef-14">Visualizar <i class="fa fa-desktop"></i></button>
                                          <button type="button" class="btn btn-default btn-border btn-rounded-20" ng-if="permisosHas('certificados.eliminar')" ng-click="openModalDelete($event,cer,2)"  data-options="splash-2 splash-ef-14">Eliminar <i class="fa fa-trash-o"></i></button>
                                      </td>
                                  </tr>
                                  <tr ng-repeat="con in cer.contenedores">
                                    <td>{{con.numero}}</td>
                                    <td>{{con.referencia}}</td>                                  
                                  </tr>
                              </tbody>
                          </table>
                      </div>
                      <div class="pull-right">
                          <small><dir-pagination-controls pagination-id="cer.id"></dir-pagination-controls></small>
                      </div>
                  </div>
                  <div class="col-md-12" ng-show="files.certificados.length == 0">
                      <p class="text-center">
                          <i class="fa fa-inbox fa-4x"></i>
                          <h4 class="text-center">aún no se han registrado Certificados...</h4> 
                      </p>
                  </div>
              </div>
              <br>
              <!-- valijas -->
              <legend class="mt-5"><i class="fa fa-recycle"></i> Valijas</legend>
              <div class="row">
                  <div class="col-md-12" ng-show="files.valijas.length != 0">
                      <div class="table-responsive mt-5">
                          <table class="table table-condensed  table-bordered">
                              <thead>
                                  <tr>
                                      <th><small>#</small></th>
                                      <th><small>Nombre del archivo</small></th>
                                      <th><small>Cliente</small></th>
                                      <th colspan="2"><small>Contenedores</small></th>
                                      <th width="350px" class="text-center"><small>Operaciones</small></th>
                                  </tr>
                              </thead>
                              <tbody dir-paginate="val in files.valijas |filter: buscar | itemsPerPage: 4" pagination-id="cer.id">
                                  <tr>
                                      <td style="vertical-align:middle; white-space: nowrap;" rowspan="{{val.contenedores.length+1}}"><small>{{$index + 1 }}</small></td>
                                      <td style="vertical-align:middle; white-space: nowrap;" rowspan="{{val.contenedores.length+1}}"><small>{{val.nombre}}</small></td>
                                      <td style="vertical-align:middle; white-space: nowrap;" rowspan="{{val.contenedores.length+1}}"><small>{{val.cliente}}</small></td>
                                      <td style="background:#F2F2F2"><small>Número</small></td>
                                      <td style="background:#F2F2F2"><small>Referencia</small></td>
                                      <td class="text-center" style="vertical-align:middle; white-space: nowrap;" rowspan="{{val.contenedores.length+1}}">
                                          <button type="button" class="btn btn-default btn-border btn-rounded-20 mb-10" ng-click="download(val,3,'valija')">Descargar <i class="fa fa-download"></i></button>
                                          <button type="button" class="btn btn-default btn-border btn-rounded-20 mb-10" ng-click="openModalPreview($event,val,3)"  data-options="splash-2 splash-ef-14">Visualizar <i class="fa fa-desktop"></i></button>
                                      </td>
                                  </tr>
                                  <tr ng-repeat="con in val.contenedores">
                                    <td>{{con.numero}}</td>
                                    <td>{{con.referencia}}</td>
                                  </tr>
                              </tbody>
                          </table>
                      </div>
                      <div class="pull-right">
                          <small><dir-pagination-controls pagination-id="cer.id"></dir-pagination-controls></small>
                      </div>
                  </div>
                  <div class="col-md-12" ng-show="files.valijas.length == 0">
                      <p class="text-center">
                          <i class="fa fa-inbox fa-4x"></i>
                          <h4 class="text-center">aún no se han registrado Valijas...</h4> 
                      </p>
                  </div>
              </div>
              <br>
              <!-- Otros archivos -->
              <legend><i class="fa fa-recycle"></i> Otros Archivos</legend>
              <div class="row">
                <div class="col-md-12" ng-show="otros_archivos.length != 0">
                    <div class="table-responsive mt-5">
                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th><small>#</small></th>
                                    <th><small>Nombre del archivo</small></th>
                                    <th><small>Tipo de Archivo</small></th>
                                    <th><small>Fecha de subida</small></th>
                                    <th><small>Hora de subida</small></th>
                                    <th class="text-center"><small>Operaciones</small></th>
                                </tr>
                            </thead>
                            <tbody dir-paginate="otros in otros_archivos |filter: buscar | itemsPerPage: 4" pagination-id="otros.id">
                                <tr>
                                    <td style="vertical-align:middle; white-space: nowrap;"><small>{{$index + 1 }}</small></td>
                                    <td style="vertical-align:middle; white-space: nowrap;"><small>{{otros.nombre}}</small></td>
                                    <td style="vertical-align:middle; white-space: nowrap;"><small><span ng-if="otros.tipo === 1">WORD</span><span ng-if="otros.tipo === 2">EXCEL</span><span ng-if="otros.tipo === 3">PDF</span></small></td>
                                    <td style="vertical-align:middle; white-space: nowrap;"><small>{{otros.fecha}}</small></td>
                                    <td style="vertical-align:middle; white-space: nowrap;"><small>{{otros.hora}}</small></td>
                                    <td class="text-center" style="vertical-align:middle; white-space: nowrap;">
                                      <!-- <button ng-if="permisosHas('emails.enviar')" ng-click="openModalSend($event,otros,3)" class="btn btn-info btn-border btn-rounded-20"><i class="fa fa-paper-plane"></i> Send to Email</button> -->
                                        <button type="button" class="btn btn-default btn-border btn-rounded-20" ng-click="download(otros,null,'otros_archivos')">Descargar <i class="fa fa-download"></i></button>
                                        <button type="button" class="btn btn-default btn-border btn-rounded-20" ng-click="preview(otros,$event)"  data-options="splash-2 splash-ef-14">Visualizar <i class="fa fa-desktop"></i></button>
                                        <!--  ng-if="permisosHas('otros_archivos.eliminar')"  -->
                                        <button type="button" class="btn btn-default btn-border btn-rounded-20" ng-click="openModalDelete($event,otros,6)"  data-options="splash-2 splash-ef-14">Eliminar <i class="fa fa-trash-o"></i></button>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div class="pull-right">
                        <small><dir-pagination-controls pagination-id="otros.id"></dir-pagination-controls></small>
                    </div>
                </div>
                <div class="col-md-12" ng-show="otros_archivos.length == 0">
                    <p class="text-center">
                        <i class="fa fa-inbox fa-4x"></i>
                        <h4 class="text-center">aún no se han registrado otros archivos para esta semana...</h4> 
                    </p>
                </div>
              </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <script type="text/ng-template" id="modal_preview.html">
        <div class="modal-body">
            <div class="text-center">
                <div class="row">
                    <div class="col-md-12">
                        <embed src="{{ruta}}" width="100%" toolbar=0 height="500px">
                        </embed>
                    </div>
                </div>
                <button type="button" class="btn btn-default btn-border btn-rounded-10" ng-click="cancel()"><i class="fa fa-close"></i> cerrar</button>
            </div>
        </div>
    </script>
</div>